qpid::management::Buffer Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qpid::management::Buffer Class Reference

This class is a wrapper around qpid::framing::Buffer that does not include any dependencies from boost or from qpid::framing. More...

`#include <qpid/management/Buffer.h>`

List of all members.

## Public Member Functions
| Buffer (char *data=0, uint32_t size=0)
| ~Buffer ()
void | record ()
void | restore (bool reRecord=false)
void | reset ()
uint32_t | available ()
uint32_t | getSize ()
uint32_t | getPosition ()
char * | getPointer ()
void | putOctet (uint8_t i)
void | putShort (uint16_t i)
void | putLong (uint32_t i)
void | putLongLong (uint64_t i)
void | putInt8 (int8_t i)
void | putInt16 (int16_t i)
void | putInt32 (int32_t i)
void | putInt64 (int64_t i)
void | putFloat (float f)
void | putDouble (double f)
void | putBin128 (const uint8_t *b)
uint8_t | getOctet ()
uint16_t | getShort ()
uint32_t | getLong ()
uint64_t | getLongLong ()
int8_t | getInt8 ()
int16_t | getInt16 ()
int32_t | getInt32 ()
int64_t | getInt64 ()
float | getFloat ()
double | getDouble ()
void | putShortString (const std::string &s)
void | putMediumString (const std::string &s)
void | putLongString (const std::string &s)
void | getShortString (std::string &s)
void | getMediumString (std::string &s)
void | getLongString (std::string &s)
void | getBin128 (uint8_t *b)
void | putMap (const types::Variant::Map &map)
void | putList (const types::Variant::List &list)
void | getMap (types::Variant::Map &map)
void | getList (types::Variant::List &list)
void | putRawData (const std::string &s)
void | getRawData (std::string &s, uint32_t size)
void | putRawData (const uint8_t *data, size_t size)
void | getRawData (uint8_t *data, size_t size)

## Detailed Description

This class is a wrapper around qpid::framing::Buffer that does not include any dependencies from boost or from qpid::framing.

## Constructor & Destructor Documentation

qpid::management::Buffer::Buffer | ( | char * | data = `0`,
|  | uint32_t | size = `0`
| ) |  |

qpid::management::Buffer::~Buffer | ( |  | ) |

## Member Function Documentation

uint32_t qpid::management::Buffer::available | ( |  | ) |

void qpid::management::Buffer::getBin128 | ( | uint8_t * | b | ) |

double qpid::management::Buffer::getDouble | ( |  | ) |

float qpid::management::Buffer::getFloat | ( |  | ) |

int16_t qpid::management::Buffer::getInt16 | ( |  | ) |

int32_t qpid::management::Buffer::getInt32 | ( |  | ) |

int64_t qpid::management::Buffer::getInt64 | ( |  | ) |

int8_t qpid::management::Buffer::getInt8 | ( |  | ) |

void qpid::management::Buffer::getList | ( | types::Variant::List & | list | ) |

uint32_t qpid::management::Buffer::getLong | ( |  | ) |

uint64_t qpid::management::Buffer::getLongLong | ( |  | ) |

void qpid::management::Buffer::getLongString | ( | std::string & | s | ) |

void qpid::management::Buffer::getMap | ( | types::Variant::Map & | map | ) |

void qpid::management::Buffer::getMediumString | ( | std::string & | s | ) |

uint8_t qpid::management::Buffer::getOctet | ( |  | ) |

char* qpid::management::Buffer::getPointer | ( |  | ) |

uint32_t qpid::management::Buffer::getPosition | ( |  | ) |

void qpid::management::Buffer::getRawData | ( | std::string & | s,
|  | uint32_t | size
| ) |  |

void qpid::management::Buffer::getRawData | ( | uint8_t * | data,
|  | size_t | size
| ) |  |

uint16_t qpid::management::Buffer::getShort | ( |  | ) |

void qpid::management::Buffer::getShortString | ( | std::string & | s | ) |

uint32_t qpid::management::Buffer::getSize | ( |  | ) |

void qpid::management::Buffer::putBin128 | ( | const uint8_t * | b | ) |

void qpid::management::Buffer::putDouble | ( | double | f | ) |

void qpid::management::Buffer::putFloat | ( | float | f | ) |

void qpid::management::Buffer::putInt16 | ( | int16_t | i | ) |

void qpid::management::Buffer::putInt32 | ( | int32_t | i | ) |

void qpid::management::Buffer::putInt64 | ( | int64_t | i | ) |

void qpid::management::Buffer::putInt8 | ( | int8_t | i | ) |

void qpid::management::Buffer::putList | ( | const types::Variant::List & | list | ) |

void qpid::management::Buffer::putLong | ( | uint32_t | i | ) |

void qpid::management::Buffer::putLongLong | ( | uint64_t | i | ) |

void qpid::management::Buffer::putLongString | ( | const std::string & | s | ) |

void qpid::management::Buffer::putMap | ( | const types::Variant::Map & | map | ) |

void qpid::management::Buffer::putMediumString | ( | const std::string & | s | ) |

void qpid::management::Buffer::putOctet | ( | uint8_t | i | ) |

void qpid::management::Buffer::putRawData | ( | const std::string & | s | ) |

void qpid::management::Buffer::putRawData | ( | const uint8_t * | data,
|  | size_t | size
| ) |  |

void qpid::management::Buffer::putShort | ( | uint16_t | i | ) |

void qpid::management::Buffer::putShortString | ( | const std::string & | s | ) |

void qpid::management::Buffer::record | ( |  | ) |

void qpid::management::Buffer::reset | ( |  | ) |

void qpid::management::Buffer::restore | ( | bool | reRecord = `false` | ) |

The documentation for this class was generated from the following file:

- qpid/management/Buffer.h